import { HsCTI } from './HsCTI'
import type { HsCTIInitOptions, RequiredHsCTIInitOptions } from './outputType'

export * from './outputType'
export * from '../Logger'

/**
 * @function getInstance 获取 HsCTI 的实例
 * @param HsCTIInitOptions 初始化 HsCTI 的配置
 */
export const getInstance = (
  HsCTIInitOptions: HsCTIInitOptions | RequiredHsCTIInitOptions
) => HsCTI.getInstance(HsCTIInitOptions)
